/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2008 OW2 Consortium, http://www.ow2.org/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */
package org.ow2.petals.component.framework.constants;



/**
 * SOAP Fault Code Constants for the Message Exchange Patterns.
 * 
 * @author Christophe DENEUX (Capgemini Sud)
 */
public enum SoapFaultCode {
    VERSION_MISMATCH("VersionMismatch"),
    MUST_UNDERSTAND("MustUnderstand"),
    DATA_ENCODING_UNKNOWN("DataEncodingUnknown"),
    SENDER("Sender"),
    RECEIVER("Receiver"),
    CLIENT("Client"),
    SERVER("Server");


    private final String value;

    /**
     * Creates a new instance of {@link FeatureConstants}
     * 
     * @param value
     */
    private SoapFaultCode(final String value) {
        this.value = value;
    }

    /**
     * 
     * @return
     */
    public String value() {
        return this.value;
    }

    /**
     * Please use this equals method to compare an enum value to a String
     * instead of using :<code>value().equals(value)</code>
     * 
     * @param value
     * @return
     */
    public boolean equals(final String value) {
        return this.value.equals(value);
    }
}